# Uses of Class
org.eclipse.birt.report.model.api.ReportDesignHandle

Packages that use ReportDesignHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of ReportDesignHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ReportDesignHandle
Modifier and Type
Method
Description
`ReportDesignHandle`
DesignElementHandle.`getDesignHandle()`
Deprecated.
replaced by getModuleHandle()

## Uses of ReportDesignHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util that return ReportDesignHandle
Modifier and Type
Method
Description
`static ReportDesignHandle`
DocumentUtil.`serialize(ReportDesignHandle designHandle, OutputStream out)`
Writes the report design to the given output stream.
Methods in org.eclipse.birt.report.model.api.util with parameters of type ReportDesignHandle
Modifier and Type
Method
Description
`static void`
StyleUtil.`addExtensionSelectors(ReportDesignHandle designHandle)`
Adds selectors for extended elements to the report design.
`static void`
ElementExportUtilImpl.`exportDesign(ReportDesignHandle designToExport, String libraryFileName, boolean canOverride, boolean genDefaultName)`
Export the report design to a library file specified by the file name.
`static void`
ElementExportUtilImpl.`exportDesign(ReportDesignHandle designToExport, LibraryHandle targetLibraryHandle, boolean canOverride, boolean genDefaultName)`
Exports one design to library.
`static ReportDesignHandle`
DocumentUtil.`serialize(ReportDesignHandle designHandle, OutputStream out)`
Writes the report design to the given output stream.